Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.action
Class ExportToCsvUtil

    java.lang.Object
      edu.stanford.smi.protege.action.ExportToCsvUtil

    public class ExportToCsvUtil

extends Object

Utility methods for getting/setting the configuration parameters for the export to CSV action (See `ExportToCsvAction`).
The export configuration is saved in the protege.properties file, so that it is preserved across different Protege sessions.

Author:
  Tania Tudorache

Field Summary
`static String` | `DEFAULT_SLOT_VALUES_DELIMITER`
`static String` | `DEFAULT_SLOTS_DELIMITER`
`static String` | `EXPORT_BROWSER_TEXT_PROPERTY`
`static String` | `EXPORT_FILE_EXTENSION`
`static String` | `EXPORT_FILE_EXTENSION_PROPERTY`
`static String` | `EXPORT_FILE_PREFIX`
`static String` | `EXPORT_FILE_PREFIX_PROPERTY`
`static String` | `EXPORT_METADATA_PROPERTY`
`static String` | `EXPORT_SUPERCLASS_PROPERTY`
`static String` | `SLOT_VALUES_DELIMITER_PROPERTY`
`static String` | `SLOTS_DELIMITER_PROPERTY`

Constructor Summary
`ExportToCsvUtil()`

Method Summary
`static String` | `getSlotsDelimiter()`
`static String` | `getSlotValuesDelimiter()`
`static boolean` | `isExportBrowserTextEnabled()`
`static boolean` | `isExportMetadata()`
`static boolean` | `isExportSuperclass()`
`static void` | `setExportBrowserText(boolean exportBrowserText)`
`static void` | `setExportMetadata(boolean exportQuery)`
`static void` | `setExportSuperclass(boolean exportSuperclass)`
`static void` | `setSlotsDelimiter(String slotsDelimiter)`
`static void` | `setSlotValuesDelimiter(String slotValuesDelimiter)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EXPORT_FILE_PREFIX

    public static final String EXPORT_FILE_PREFIX

See Also:
  Constant Field Values

### EXPORT_FILE_EXTENSION

    public static final String EXPORT_FILE_EXTENSION

See Also:
  Constant Field Values

### DEFAULT_SLOT_VALUES_DELIMITER

    public static final String DEFAULT_SLOT_VALUES_DELIMITER

See Also:
  Constant Field Values

### DEFAULT_SLOTS_DELIMITER

    public static final String DEFAULT_SLOTS_DELIMITER

See Also:
  Constant Field Values

### SLOTS_DELIMITER_PROPERTY

    public static final String SLOTS_DELIMITER_PROPERTY

See Also:
  Constant Field Values

### SLOT_VALUES_DELIMITER_PROPERTY

    public static final String SLOT_VALUES_DELIMITER_PROPERTY

See Also:
  Constant Field Values

### EXPORT_FILE_PREFIX_PROPERTY

    public static final String EXPORT_FILE_PREFIX_PROPERTY

See Also:
  Constant Field Values

### EXPORT_FILE_EXTENSION_PROPERTY

    public static final String EXPORT_FILE_EXTENSION_PROPERTY

See Also:
  Constant Field Values

### EXPORT_BROWSER_TEXT_PROPERTY

    public static final String EXPORT_BROWSER_TEXT_PROPERTY

See Also:
  Constant Field Values

### EXPORT_METADATA_PROPERTY

    public static final String EXPORT_METADATA_PROPERTY

See Also:
  Constant Field Values

### EXPORT_SUPERCLASS_PROPERTY

    public static final String EXPORT_SUPERCLASS_PROPERTY

See Also:
  Constant Field Values

Constructor Detail

### ExportToCsvUtil

    public ExportToCsvUtil()

Method Detail

### getSlotValuesDelimiter

    public static String getSlotValuesDelimiter()

### setSlotValuesDelimiter

    public static void setSlotValuesDelimiter(String slotValuesDelimiter)

### getSlotsDelimiter

    public static String getSlotsDelimiter()

### setSlotsDelimiter

    public static void setSlotsDelimiter(String slotsDelimiter)

### isExportBrowserTextEnabled

    public static boolean isExportBrowserTextEnabled()

### setExportBrowserText

    public static void setExportBrowserText(boolean exportBrowserText)

### isExportMetadata

    public static boolean isExportMetadata()

### setExportMetadata

    public static void setExportMetadata(boolean exportQuery)

### isExportSuperclass

    public static boolean isExportSuperclass()

### setExportSuperclass

    public static void setExportSuperclass(boolean exportSuperclass)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2012 Stanford University.